CNVKIT_SEGMENT(1)

NAME
cnvkit_segment - Infer copy number segments from the given coverage table.

DESCRIPTION
usage: cnvkit.py segment [-h] [-o FILENAME] [-d DATAFRAME]

[-m {cbs,flasso,haar,none,hmm,hmm-tumor,hmm-germline}]
    [-t THRESHOLD] [--drop-low-coverage] [--drop-outliers FACTOR] [--rscript-path PATH] [-p [PROCESSES]] [--smooth-cbs] [-v FILENAME] [-i SAMPLE_ID] [-n NORMAL_ID] [--min-variant-depth MIN_VARIANT_DEPTH] [-z [ALT_FREQ]] filename

  positional arguments:

filename
    Bin-level log2 ratios (.cnr file), as produced by 'fix'.

  options:

-h, --help
    show this help message and exit

-o FILENAME, --output FILENAME
    Output table file name (CNR-like table of segments, .cns).

-d DATAFRAME, --dataframe DATAFRAME
    File name to save the raw R dataframe emitted by CBS or Fused Lasso. (Useful for debugging.)

-m {cbs,flasso,haar,none,hmm,hmm-tumor,hmm-germline}, --method {cbs,flasso,haar,none,hmm,hmm-tumor,hmm-germline}
    Segmentation method (see docs), or 'none' for chromosome arm-level averages as segments. [Default: cbs]

-t THRESHOLD, --threshold THRESHOLD
    Significance threshold (p-value or FDR, depending on method) to accept breakpoints during segmentation. For HMM methods, this is the smoothing window size.

--drop-low-coverage
    Drop very-low-coverage bins before segmentation to avoid false-positive deletions in poor-quality tumor samples.

--drop-outliers FACTOR
    Drop outlier bins more than this many multiples of the 95th quantile away from the average within a rolling window. Set to 0 for no outlier filtering. [Default: 10]

--rscript-path PATH
    Path to the Rscript executable to use for running R code. Use this option to specify a non-default R installation. [Default: Rscript]

-p [PROCESSES], --processes [PROCESSES]
    Number of subprocesses to segment in parallel. Give 0 or a negative value to use the maximum number of available CPUs. [Default: use 1 process]

--smooth-cbs
    Perform an additional smoothing before CBS segmentation, which in some cases may increase the sensitivity. Used only for CBS method.

  To additionally segment SNP b-allele frequencies:

-v FILENAME, --vcf FILENAME
    VCF file name containing variants for segmentation by allele frequencies.

-i SAMPLE_ID, --sample-id SAMPLE_ID
    Specify the name of the sample in the VCF (-v/--vcf) to use for b-allele frequency extraction and as the default plot title.

-n NORMAL_ID, --normal-id NORMAL_ID
    Corresponding normal sample ID in the input VCF (-v/--vcf). This sample is used to select only germline SNVs to plot b-allele frequencies.

--min-variant-depth MIN_VARIANT_DEPTH
    Minimum read depth for a SNV to be displayed in the b-allele frequency plot. [Default: 20]

-z [ALT_FREQ], --zygosity-freq [ALT_FREQ]
    Ignore VCF's genotypes (GT field) and instead infer zygosity from allele frequencies. [Default if used without a number: 0.25]